# $Revision: 1.21 $, $Date: 2008/08/28 21:43:35 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Programming interface to the 1394 AV/C specification
Summary(pl.UTF-8):	Interfejs programistyczny do specyfikacji 1394 AV/C
Name:		libavc1394
Version:	0.5.3
Release:	3
License:	LGPL v2.1+
Group:		Libraries
Source0:	http://dl.sourceforge.net/libavc1394/%{name}-%{version}.tar.gz
# Source0-md5:	09e30b1fb5ae455b6d8407e457a711a3
URL:		http://sourceforge.net/projects/libavc1394/
BuildRequires:	autoconf
BuildRequires:	automake
# pkgconfig calls this 1.0.0
BuildRequires:	libraw1394-devel >= 1.2.0
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libavc1394 is a programming interface to the AV/C specification from
the 1394 Trade Association. AV/C stands for Audio/Video Control.
Currently, applications use the library to control the tape transport
mechanism on DV camcorders. However, there are many devices and
functions of devices that can be controlled via AV/C. Eventually, the
library will be expanded to implement more of the specification and to
provide high level interfaces to various devices.

%description -l pl.UTF-8
libavc1394 to interfejs programistyczny do specyfikacji AV/C
opracowanej przez 1394 Trade Association. AV/C oznacza Audio/Video
Control (czyli sterowanie Audio/Video). Aktualnie aplikacje używają
tej biblioteki do kontroli mechanizmu przesuwu taśmy w kamerach DV,
lecz wiele urządzeń i ich funkcji można kontrolować poprzez AV/C. Być
może biblioteka zostanie rozszerzona, by obsługiwać większą część
specyfikacji i zapewniać interfejsy wysokiego poziomu do różnych
urządzeń.

%package devel
Summary:	libavc1394 header files
Summary(pl.UTF-8):	Pliki nagłówkowe libavc1394
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libraw1394-devel >= 1.2.0

%description devel
libavc1394 header files.

%description devel -l pl.UTF-8
Pliki nagłówkowe libavc1394.

%package static
Summary:	Static libavc1394 library
Summary(pl.UTF-8):	Statyczna biblioteka libavc1394
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libavc1394 library.

%description static -l pl.UTF-8
Statyczna biblioteka libavc1394.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/dvcont
%attr(755,root,root) %{_bindir}/mkrfc2734
%attr(755,root,root) %{_bindir}/panelctl
%attr(755,root,root) %{_libdir}/libavc1394.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libavc1394.so.0
%attr(755,root,root) %{_libdir}/librom1394.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/librom1394.so.0
%{_mandir}/man1/dvcont.1*
%{_mandir}/man1/mkrfc2734.1*
%{_mandir}/man1/panelctl.1*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libavc1394.so
%attr(755,root,root) %{_libdir}/librom1394.so
%{_libdir}/libavc1394.la
%{_libdir}/librom1394.la
%{_includedir}/libavc1394
%{_pkgconfigdir}/libavc1394.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libavc1394.a
%{_libdir}/librom1394.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libavc1394.spec,v $
Revision 1.21  2008/08/28 21:43:35  qboosh
- more verbose files, ghost soname symlinks
- LGPL v2.1+

Revision 1.20  2008/08/24 11:00:26  arekm
- release 3

Revision 1.19  2008-01-16 17:33:11  arekm
- rel 2

Revision 1.18  2007-02-13 06:46:50  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.16  2006/05/22 22:08:32  qboosh
- updated to 0.5.3

Revision 1.15  2006/03/04 10:38:50  wiget
- BR: new libraw1394
- release 4

Revision 1.14  2006/02/22 17:56:48  freetz
- rel. 3 for th

Revision 1.13  2005/10/29 18:48:11  arekm
- rel 2

Revision 1.12  2005/07/24 21:30:17  qboosh
- updated to 0.5.1 (bugfixes)

Revision 1.11  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.10  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.9  2005/06/15 15:42:35  witekfl
- added bcond_without static

Revision 1.8  2005/02/19 17:24:58  qboosh
- updated to 0.5.0, removed obsolete link patch

Revision 1.7  2004/04/26 16:36:20  adamg
- release 2 for Ac (1 is for Ra)

Revision 1.6  2003/08/18 08:08:16  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/07/18 07:49:56  blues
- cosmetics

Revision 1.4  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/24 17:30:40  qboosh
- -devel R: libraw1394-devel

Revision 1.1  2003/03/21 00:36:15  qboosh
- new
